io.netty.handler.codec.redis

## Class DefaultBulkStringRedisContent

- java.lang.Object
- - io.netty.buffer.DefaultByteBufHolder
  - - io.netty.handler.codec.redis.DefaultBulkStringRedisContent

All Implemented Interfaces:
  io.netty.buffer.ByteBufHolder, BulkStringRedisContent, RedisMessage, io.netty.util.ReferenceCounted

Direct Known Subclasses:
  DefaultLastBulkStringRedisContent

    @UnstableApi
    public class DefaultBulkStringRedisContent
    extends io.netty.buffer.DefaultByteBufHolder
    implements BulkStringRedisContent

A default implementation of `BulkStringRedisContent`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultBulkStringRedisContent(io.netty.buffer.ByteBuf content)` Creates a `DefaultBulkStringRedisContent` for the given `content`.

### Method Summary

All Methods Instance Methods Concrete Methods
`BulkStringRedisContent` `copy()`
`BulkStringRedisContent` `duplicate()`
`BulkStringRedisContent` `replace(io.netty.buffer.ByteBuf content)`
`BulkStringRedisContent` `retain()`
`BulkStringRedisContent` `retain(int increment)`
`BulkStringRedisContent` `retainedDuplicate()`
`String` `toString()`
`BulkStringRedisContent` `touch()`
`BulkStringRedisContent` `touch(Object hint)`

### Methods inherited from class io.netty.buffer.DefaultByteBufHolder

`content, contentToString, equals, hashCode, refCnt, release, release`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.netty.buffer.ByteBufHolder

`content`

### Methods inherited from interface io.netty.util.ReferenceCounted

`refCnt, release, release`

### Constructor Detail

#### DefaultBulkStringRedisContent

    public DefaultBulkStringRedisContent(io.netty.buffer.ByteBuf content)

Creates a `DefaultBulkStringRedisContent` for the given `content`.

Parameters:
  `content` - the content, can be `null`.

### Method Detail

#### copy

    public BulkStringRedisContent copy()

Specified by:
  `copy` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `copy` in interface `BulkStringRedisContent`
Overrides:
  `copy` in class `io.netty.buffer.DefaultByteBufHolder`

#### duplicate

    public BulkStringRedisContent duplicate()

Specified by:
  `duplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `duplicate` in interface `BulkStringRedisContent`
Overrides:
  `duplicate` in class `io.netty.buffer.DefaultByteBufHolder`

#### retainedDuplicate

    public BulkStringRedisContent retainedDuplicate()

Specified by:
  `retainedDuplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retainedDuplicate` in interface `BulkStringRedisContent`
Overrides:
  `retainedDuplicate` in class `io.netty.buffer.DefaultByteBufHolder`

#### replace

    public BulkStringRedisContent replace(io.netty.buffer.ByteBuf content)

Specified by:
  `replace` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `replace` in interface `BulkStringRedisContent`
Overrides:
  `replace` in class `io.netty.buffer.DefaultByteBufHolder`

#### retain

    public BulkStringRedisContent retain()

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `io.netty.buffer.DefaultByteBufHolder`

#### retain

    public BulkStringRedisContent retain(int increment)

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `io.netty.buffer.DefaultByteBufHolder`

#### touch

    public BulkStringRedisContent touch()

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `io.netty.buffer.DefaultByteBufHolder`

#### touch

    public BulkStringRedisContent touch(Object hint)

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `io.netty.buffer.DefaultByteBufHolder`

#### toString

    public String toString()

Overrides:
  `toString` in class `io.netty.buffer.DefaultByteBufHolder`